# License Types License Types ## Gets all of the license types in the system. - [GET /licenseTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/license-types/listlicensetypes.md): This method will scan all license types and and return them to the caller. ## Creates a new license type record that does not already exist. - [POST /licenseTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/license-types/createlicensetype.md): This method will auto-generate an ID and create a new license type. If an ID is specified for the license type, an error will be thrown. ## Execute Batch Operations - [POST /licenseTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/license-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a license type from the system by its ID. - [DELETE /licenseTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/license-types/deletelicensetype.md): This method will delete a license type with the specified ID. ## Returns a license type from the system by its ID. - [GET /licenseTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/license-types/getlicensetype.md): This method will look up a license type by the specified ID and return it back. ## Partially updates a license type with the specified ID. - [PATCH /licenseTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/license-types/patchlicensetype.md): This method will patch an existing license type with the specified ID, using the HTTP PATCH specification. ## Updates a license type with the specified ID. - [PUT /licenseTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/license-types/updatelicensetype.md): This method will update an existing license type with the specified ID.